Skip to content
Documentation

Gets a specific compression mode by its name

GET /compressionModes/{name}

Gets a compression mode identified by the name. In HAKOM terminology time series compression is a data storage technology, where individual time series values are cascaded to fixed sized blocks, that are binary encoded and saved to the database. The compression mode defines the type of compression used for writing compressed data to the store. The size of the blocks depends on the interval of the underlying data. The CompressionMode represents the type of compression.

Name In Type Required Description
name path string yes Name of the compression mode to be accessed.
Code Description Type
200 The requested compression mode. EnumerationOfCompressionMode
4XX Indicates that the request failed due to a client error. Please refer to the details provided in the body of the response in order to ensure that the request can be handled properly. ProblemDetails
5XX Indicates that the request failed due to an error that occurred on the server. Consider reporting this error to the server operators. ProblemDetails

Schema: EnumerationOfCompressionMode

{
"value": 1,
"name": "string"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}
© 2026 Volue.Version v0.6.38017 November 2026